org.jboss.jca.core.workmanager

## Class ClassDefinition

- java.lang.Object
- - org.jboss.jca.core.workmanager.ClassDefinition

- All Implemented Interfaces:
    java.io.Serializable

      public class ClassDefinition
      extends java.lang.Object
      implements java.io.Serializable

  A definition of a class
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassDefinition(java.lang.String name, long serialVersionUID, byte[] data)` Constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `static ClassDefinition` | `fromMap(java.util.Map<java.lang.String,java.lang.Object> map)` create an instance from a Map
    `byte[]` | `getData()` Get the data
    `java.lang.String` | `getName()` Get the name
    `long` | `getSerialVersionUID()` Get the serial version identifier
    `int` | `hashCode()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `toMap()` return a map representing the instance
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassDefinition

          public ClassDefinition(java.lang.String name,
                                 long serialVersionUID,
                                 byte[] data)

      Constructor
      Parameters:
        `name` - The name of the class
        `serialVersionUID` - The serial version unique identifier
        `data` - The class

  - ### Method Detail

    - #### fromMap

          public static ClassDefinition fromMap(java.util.Map<java.lang.String,java.lang.Object> map)

      create an instance from a Map
      Parameters:
        `map` - the map
      Returns:
        the instance

    - #### toMap

          public java.util.Map<java.lang.String,java.lang.Object> toMap()

      return a map representing the instance
      Returns:
        the map

    - #### getName

          public java.lang.String getName()

      Get the name
      Returns:
        The value

    - #### getSerialVersionUID

          public long getSerialVersionUID()

      Get the serial version identifier
      Returns:
        The value

    - #### getData

          public byte[] getData()

      Get the data
      Returns:
        The value

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)